Bug 1997779 (CVE-2021-39147) - CVE-2021-39147 xstream: Arbitrary code execution via unsafe deserialization of com.sun.jndi.ldap.LdapSearchEnumeration
Summary: CVE-2021-39147 xstream: Arbitrary code execution via unsafe deserialization o...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-39147
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1997780 1998640
Blocks: 1997804
TreeView+ depends on / blocked
 
Reported: 2021-08-25 19:12 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-12-02 16:18 UTC (History)
52 users (show)

Fixed In Version: xstream 1.4.18
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in xstream, a simple library used to serialize objects to XML and back again. This flaw allows a remote attacker to load and execute arbitrary code from a remote host by manipulating the processed input stream. The highest threat from this vulnerability is to confidentiality, integrity, as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-10-25 14:08:47 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3956 0 None None None 2021-10-25 06:51:08 UTC
Red Hat Product Errata RHSA-2021:4767 0 None None None 2021-11-23 10:36:11 UTC
Red Hat Product Errata RHSA-2021:4918 0 None None None 2021-12-02 16:18:41 UTC

Description Guilherme de Almeida Suckevicz 2021-08-25 19:12:55 UTC
XStream is a simple library to serialize objects to XML and back again. In affected versions this vulnerability may allow a remote attacker to load and execute arbitrary code from a remote host only by manipulating the processed input stream. No user is affected, who followed the recommendation to setup XStream's security framework with a whitelist limited to the minimal required types. XStream 1.4.18 uses no longer a blacklist by default, since it cannot be secured for general purpose.

References:
https://github.com/x-stream/xstream/security/advisories/GHSA-h7v4-7xg3-hxcc
https://x-stream.github.io/CVE-2021-39147.html

Comment 1 Guilherme de Almeida Suckevicz 2021-08-25 19:13:18 UTC
Created xstream tracking bugs for this issue:

Affects: fedora-all [bug 1997780]

Comment 2 Przemyslaw Roguski 2021-08-26 08:23:14 UTC
In the original advisory https://github.com/x-stream/xstream/security/advisories/GHSA-h7v4-7xg3-hxcc there is a mistake in the information about fixed version, it should be:
Patched versions
1.4.18
NOT
Patched versions
1.14.18

Comment 11 errata-xmlrpc 2021-10-25 06:51:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:3956 https://access.redhat.com/errata/RHSA-2021:3956

Comment 12 Product Security DevOps Team 2021-10-25 14:08:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-39147

Comment 13 errata-xmlrpc 2021-11-23 10:36:07 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4767 https://access.redhat.com/errata/RHSA-2021:4767

Comment 14 errata-xmlrpc 2021-12-02 16:18:39 UTC
This issue has been addressed in the following products:

  Red Hat Integration

Via RHSA-2021:4918 https://access.redhat.com/errata/RHSA-2021:4918


Note You need to log in before you can comment on or make changes to this bug.